/* * {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}*/

/* body {
  /* height: 100vh; *
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background-color: #000;
}  */

.scanning {
  color: #8f8f8f66;
  letter-spacing: 5px;
  /* position: relative; */
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 12px;
}

.scanning::before {
  content: "NR1-Scan... ";
  /* color: #fffe07; */
  color: #fff;
  position: absolute;
  /* left: 50px; */
  left: 93px;
  right: ;
  /* border: 2px solid #fffe07; */
  /* border: 2px solid #fff; */
  /* border-left: 2px solid #fff;
  border-right: 2px solid #fff; */
  box-shadow: 0 0 5px;
  text-indent: 10px;
  width: 0;
  overflow: hidden;
  animation: scanning 30s cubic-bezier(0.5, 0, 0.7, 0.1) infinite;
} 

@keyframes scanning {
  0%,
  100% {
    width: 14%;
  }

  10%,
  60% {
    width: 14%;
  }

  10%,
  80% {
    width: 93%;
  }
}

 @media (max-width: 480px) {
    .scanning {
      font-size: 17px;
    }

    @keyframes scanning {
    0%,
    100% {
      width: 40%;
    }

    10%,
    60% {
      width: 40%;
    }

    10%,
    80% {
      width: 93%;
    }
  }
}

 @media (max-width: 390px) {
    .scanning {
      font-size: 14px;
    }

    @keyframes scanning {
    0%,
    100% {
      width: 39%;
    }

    10%,
    60% {
      width: 39%;
    }

    10%,
    80% {
      width: 93%;
    }
  }
}

 @media (max-width: 375px) {
    @keyframes scanning {
    0%,
    100% {
      width: 40%;
    }

    10%,
    60% {
      width: 40%;
    }

    10%,
    80% {
      width: 93%;
    }
  }
}

 @media (max-width: 360px) {
    @keyframes scanning {
    0%,
    100% {
      width: 44%;
    }

    10%,
    60% {
      width: 44%;
    }

    10%,
    80% {
      width: 93%;
    }
  }
}

 @media (max-width: 320px) {
    @keyframes scanning {
    0%,
    100% {
      width: 47%;
    }

    10%,
    60% {
      width: 47%;
    }

    10%,
    80% {
      width: 93%;
    }
  }
}